Install/Upgrade to 14.1/14.2 fails with ORA-01017 error

Document ID : KB000031751
Last Modified Date : 14/02/2018
Show Technical Document Details

Problem:

The upgrade to 14.1 or 14.2 from 13.1 fails with the below error:

/opt/CLARD/clarity2/install/12_upgrade13.1.0.9_to_14.1/checkinstall/scripts/check-db-version.xml:99: java.sql.SQLInvalidAuthorizationSpecException: [CA Clarity][Oracle JDBC Driver][Oracle]ORA-01017: invalid username/password; logon denied

Even though the upgrade to 13.3 works with same credentials.

Sometime during fresh install of 14.1 the CSA comes and then after giving the credentials of database the below errror is observed:

WARN 2015-02-10 15:28:04,735 [Config Monitor] config.TenantConfigurationManager (none:none:none:none) Found invalid database connection for local tenant clarity

ERROR 2015-02-10 15:29:22,439 [http-bio-8090-exec-8] persistence.PersistenceController (clarity:sa:a4S17jjH6iGvnfKmJC8Mpn7Cyv9IcWOXgq7lW5uof+o0:nsa.properties.database.save) Exception due to DB Connection failure

WARN 2015-02-10 15:29:22,439 [http-bio-8090-exec-8] niku.nsa (clarity:sa:a4S17jjH6iGvnfKmJC8Mpn7Cyv9IcWOXgq7lW5uof+o0:nsa.properties.database.save) Unable to persist configuration properties to database. Likely cause is database properties are not yet set or misconfigured.

ERROR 2015-02-10 15:29:34,669 [http-bio-8090-exec-8] handlers.SaveDWHDatabaseLinkHandler (clarity:sa:a4S17jjH6iGvnfKmJC8Mpn7Cyv9IcWOXgq7lW5uof+o0:nsa.properties.database.save) Connection with Data Warehouse database is not established

java.sql.SQLNonTransientConnectionException: [CA Clarity][Oracle JDBC Driver]Error establishing socket to host and port: localhost:1521. Reason: Connection refused: connect

  at com.ca.clarity.jdbc.oraclebase.ddcr.b(Unknown Source)

...

...

 

Steps to Reproduce:

Start the upgrade from 13.1 

or

Start fresh install of 14.1  

Expected Result:  The Upgrade should complete successfully
Actual Result: The upgrade fails with ORA-01017: invalid username/password; logon denied

 

Environment:

Applies to all supported PAS environments for specified releases. 

 

Cause:

Caused by CLRT-77222

 

Resolution/Workaround:

Resolved in CA PPM 14.3 

Workaround: Please contact CA Technical Support for possible workaround.